<div class="modal-body" *ngIf="candidateData">
    <div class="d-flex justify-content-between">
        <span class="fs-4 fw-semibold">{{getFullName(candidateData?.user)}}</span>      
        <span class="small text-muted my-auto me-2">{{candidateData?.dateOfApplication | date: 'dd MMMM yyyy, HH:mm'}}</span>
    </div>
    <div class="mb-3">
        <span class="text-muted small">{{candidateData?.user?.employeeDTO?.serviceGroup?.name}}</span> 
        <span class="text-muted small">{{candidateData?.phone}}</span> <br>       
        <span class="text-muted small">{{candidateData?.email}}</span>        
    </div>
    <div>
        <div>
        <span class="fs-6 fw-semibold">{{'humanresources.dataDismissal' | translate}}</span>
        <ul>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.cause' | translate}}</span>
                <span class="small">{{candidateData?.reason}}</span>
            </li>

            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.dateDismiss' | translate}}</span>
                <span>{{candidateData?.dismissalDate | date: 'dd MMMM yyyy, HH:mm'}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.remainVacations' | translate}}</span>
                <span>{{candidateData?.vacationBalance}}</span>
            </li>
        </ul>
            <div class="my-3">
                <label for="discription">{{'state.discription' | translate}}</label>
                <textarea class="form-control w-75" rows="4" value="{{candidateData?.description}}" readonly></textarea> 
            </div>        
    </div>

    </div>
    <div  *ngIf="permission?.DownloadDocuments">
        <span class="fs-6 fw-semibold">{{'humanresources.attachments' | translate}}</span>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.resume' | translate}}</span>
                <a class="text-decoration-underline" (click)="save(docs, docs?.title)" *ngFor="let docs of candidateData?.document"><i class="bi bi-file-earmark-arrow-down"></i> {{docs?.title}}</a>
            </li>
    </div>
    <div class="d-flex justify-content-evenly">
        <button class="btn btn-dark" *ngIf="permission?.SendApplication" (click)="openAction(action)">{{'humanresources.action' | translate}}</button>
        <button class="btn btn-dark" *ngIf="permission?.ManageApplication" (click)="accept()">{{'humanresources.assign' | translate}}</button>
        <button class="btn btn-outline-secondary" *ngIf="permission?.ManageApplication" (click)="cancel()">{{'humanresources.cancel' | translate}}</button>
    </div>
</div>
<app-empty-list *ngIf="!candidateData"></app-empty-list>

<ng-template let-modal #action>
    <div>
    <div class="modal-header">{{'humanresources.direct' | translate}}</div>
    <div class="modal-body">
       <form [formGroup]="form" (ngSubmit)="submit()">    
                <div class="">
                    <select class="form-select" formControlName="receiverId">
                        <option value="null">{{'humanresources.choose' | translate}}</option>
                        <option [value]="user.login" *ngFor="let user of users">{{getFullName(user)}}</option>
                    </select>
                </div>
            <div class="my-3">
                <textarea class="form-control" name="textarea" id="textarea" style="height: 100px;" placeholder="{{'humanresources.yourComment' | translate}}"></textarea>
            </div>
            <div>
                <button class="btn btn-dark" type="submit">{{'humanresources.direct' | translate}}</button>
            </div>
       </form> 
    </div>
    </div>
</ng-template>


